System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter

A type converter is used to convert values between data types. A type converter also supports property configuration at design time by providing text-to-value conversion or a list of values that users can select from. Access the class through the class by calling the method.

The converts to and from known image formats, as specified in the class.

If you want to convert between image formats, such as converting between BMP and JPEG, use one of the methods that takes an object as a parameter.

is a class that can be used to convert objects from one data type to another. Access this class through the object.

- Constructor

  Do not create a object directly. Access the class through the class by calling the method.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` ``

  The converts to and from known image formats, as specified in the class.

  Indicates whether this converter can convert an object in the specified source type to the native type of the converter.

  This method returns true if this object can perform the conversion.

  A formatter context. This object can be used to get more information about the environment this converter is being called from. This may be null, so you should always check. Also, properties on the context object may also return null. The type you want to convert from. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  The converts to and from known image formats, as specified in the class.

  Gets a value indicating whether this converter can convert an object to the specified destination type using the context.

  This method returns true if this object can perform the conversion.

  An that specifies the context for this type conversion. The that represents the type to which you want to convert this object. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` ``

  The converts to and from known image formats, as specified in the class.

  Converts the specified object to an object.

  The converted object.

  A formatter context. This object can be used to get more information about the environment this converter is being called from. This may be null, so you should always check. Also, properties on the context object may also return null. A object that specifies formatting conventions for a particular culture. The object to convert. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` ``

  The converts to and from known image formats, as specified in the class.

  The most common type conversion is to and from a string type. The default implementation calls the method of the object if the object is valid and if the destination type is string. If this method cannot convert the specified object to the specified destination type, it throws a exception.

  Converts the specified object to the specified type.

  The converted object.

  A formatter context. This object can be used to get more information about the environment this converter is being called from. This may be null, so you should always check. Also, properties on the context object may also return null. A object that specifies formatting conventions for a particular culture. The object to convert. The type to convert the object to. 1.0.5000.0 2.0.0.0
- Method
  System.ComponentModel.TypeConverter+StandardValuesCollection `` To be added

  Gets a collection that contains a set of standard values for the data type this validator is designed for. Returns null if the data type does not support a standard set of values.

  A collection that contains a standard set of valid values, or null. The default implementation always returns null.

  A formatter context. This object can be used to get more information about the environment this converter is being called from. This may be null, so you should always check. Also, properties on the context object may also return null. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether this object supports a standard set of values that can be picked from a list.

  This method returns true if the method should be called to find a common set of values the object supports.

  A type descriptor through which additional context can be provided. 1.0.5000.0 2.0.0.0